AuthzSubject (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.AuthzSubject class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class AuthzSubject

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.AuthzNamedBean
              org.hyperic.hq.authz.server.session.AuthzSubject

All Implemented Interfaces:
  java.io.Serializable

    public class AuthzSubject

extends AuthzNamedBean

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`AuthzNamedBean.Comparator`

Constructor Summary
`protected` | `AuthzSubject()`
`` | `AuthzSubject(boolean active, java.lang.String authDsn, java.lang.String dept, java.lang.String email, boolean useHtml, java.lang.String first, java.lang.String last, java.lang.String name, java.lang.String phone, java.lang.String sms, boolean system)`

Method Summary
`void` | `addRole(Role role)`
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `getActive()`
`java.lang.String` | `getAuthDsn()`
`AuthzSubjectValue` | `getAuthzSubjectValue()` Deprecated. use (this) AuthzSubject instead
`java.lang.String` | `getDepartment()`
`java.lang.String` | `getEmailAddress()`
`java.lang.String` | `getFirstName()`
`java.lang.String` | `getFullName()`
`boolean` | `getHtmlEmail()`
`java.lang.String` | `getLastName()`
`java.lang.String` | `getPhoneNumber()`
`Crispo` | `getPrefs()`
`Resource` | `getResource()`
`java.util.Collection` | `getRoles()`
`java.lang.String` | `getSMSAddress()`
`boolean` | `getSystem()`
`int` | `hashCode()`
`boolean` | `isActive()`
`boolean` | `isHtmlEmail()`
`boolean` | `isRoot()`
`boolean` | `isSystem()`
`void` | `removeAllRoles()`
`void` | `removeRole(Role role)`
`protected void` | `setActive(boolean val)`
`protected void` | `setAuthDsn(java.lang.String val)`
`protected void` | `setDepartment(java.lang.String val)`
`protected void` | `setEmailAddress(java.lang.String val)`
`protected void` | `setFirstName(java.lang.String val)`
`protected void` | `setHtmlEmail(boolean useHtml)`
`protected void` | `setLastName(java.lang.String val)`
`protected void` | `setPhoneNumber(java.lang.String val)`
`protected void` | `setPrefs(Crispo c)`
`protected void` | `setResource(Resource val)`
`protected void` | `setRoles(java.util.Collection val)`
`protected void` | `setSMSAddress(java.lang.String val)`
`protected void` | `setSystem(boolean val)`

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`getName, getSortName, setName, setSortName`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthzSubject

    protected AuthzSubject()

### AuthzSubject

    public AuthzSubject(boolean active,
                        java.lang.String authDsn,
                        java.lang.String dept,
                        java.lang.String email,
                        boolean useHtml,
                        java.lang.String first,
                        java.lang.String last,
                        java.lang.String name,
                        java.lang.String phone,
                        java.lang.String sms,
                        boolean system)

Method Detail

### getAuthDsn

    public java.lang.String getAuthDsn()

### setAuthDsn

    protected void setAuthDsn(java.lang.String val)

### getFirstName

    public java.lang.String getFirstName()

### setFirstName

    protected void setFirstName(java.lang.String val)

### getLastName

    public java.lang.String getLastName()

### setLastName

    protected void setLastName(java.lang.String val)

### getFullName

    public java.lang.String getFullName()

### getEmailAddress

    public java.lang.String getEmailAddress()

### setEmailAddress

    protected void setEmailAddress(java.lang.String val)

### getSMSAddress

    public java.lang.String getSMSAddress()

### setSMSAddress

    protected void setSMSAddress(java.lang.String val)

### getPhoneNumber

    public java.lang.String getPhoneNumber()

### setPhoneNumber

    protected void setPhoneNumber(java.lang.String val)

### getDepartment

    public java.lang.String getDepartment()

### setDepartment

    protected void setDepartment(java.lang.String val)

### isActive

    public boolean isActive()

### getActive

    public boolean getActive()

### setActive

    protected void setActive(boolean val)

### isSystem

    public boolean isSystem()

### getSystem

    public boolean getSystem()

### isHtmlEmail

    public boolean isHtmlEmail()

### getHtmlEmail

    public boolean getHtmlEmail()

### setHtmlEmail

    protected void setHtmlEmail(boolean useHtml)

### setSystem

    protected void setSystem(boolean val)

### getResource

    public Resource getResource()

### setResource

    protected void setResource(Resource val)

### getRoles

    public java.util.Collection getRoles()

### setRoles

    protected void setRoles(java.util.Collection val)

### addRole

    public void addRole(Role role)

### removeRole

    public void removeRole(Role role)

### removeAllRoles

    public void removeAllRoles()

### getPrefs

    public Crispo getPrefs()

### setPrefs

    protected void setPrefs(Crispo c)

### getAuthzSubjectValue

    public AuthzSubjectValue getAuthzSubjectValue()

  Deprecated. use (this) AuthzSubject instead

### isRoot

    public boolean isRoot()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AuthzNamedBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AuthzNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.